package cn.fw.morax.dao.salary;

import cn.fw.morax.domain.db.salary.SalaryPool;
import cn.fw.morax.domain.dto.query.SalaryPoolQueryDTO;
import cn.fw.morax.domain.vo.salary.SalaryPoolVO;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.time.YearMonth;
import java.util.List;

/**
 * @author : kurisu
 * @className : SalaryPoolDao
 * @description : 薪酬池
 * @date: 2022-04-06 14:55
 */
@Repository
public interface SalaryPoolDao extends BaseMapper<SalaryPool> {
    /**
     * 查询薪酬池数据
     *
     * @param query
     * @param startIndex
     * @param pageSize
     * @return
     */
    List<SalaryPoolVO> queryPagePool(@Param("condition") SalaryPoolQueryDTO query, @Param("startIndex") int startIndex, @Param("pageSize") int pageSize);

    /**
     * 查询薪酬池数据总署
     *
     * @param query
     * @return
     */
    Long queryPagePoolTotal(@Param("condition") SalaryPoolQueryDTO query);

    /**
     * 查询有多条绩效池的员工
     *
     * @param yearMonth
     * @return
     */
    List<SalaryPool> queryStaffMultiPools(@Param("yearMonth") YearMonth yearMonth);

    /**
     * 查询有一条绩效池的员工
     *
     * @param yearMonth
     * @return
     */
    List<SalaryPool> queryStaffPools(@Param("yearMonth") YearMonth yearMonth);
}
