package cn.fw.morax.domain.db;

import cn.fw.common.data.entity.BaseAuditableTimeEntity;
import cn.fw.morax.domain.enums.ApprovalStatusEnum;
import cn.fw.morax.domain.enums.ApprovalTypeEnum;
import lombok.*;

/**
 * @author : kurisu
 * @date : 2022-4-6
 * @desc : 审批记录
 */
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
@EqualsAndHashCode(callSuper = true)
public class ApprovalRecord extends BaseAuditableTimeEntity<ApprovalRecord, Long> {
    /**
     * 被审批业务表主键
     */
    private Long dataId;
    /**
     * 审批业务类型;1:绩效配置 2:薪酬配置 3:绩效星级申诉
     */
    private ApprovalTypeEnum approvalType;
    /**
     * 审批单号
     */
    private String approvalNo;
    /**
     * 审批状态;1:审批中 2:审批通过 3:审批拒绝
     */
    private ApprovalStatusEnum approvalStatus;
    /**
     * 集团id
     */
    private Long groupId;
    /**
     * 逻辑删除
     */
    private Boolean yn;
}