package cn.fw.morax.domain.db.kpi;

import cn.fw.common.data.entity.BaseAuditableTimeEntity;
import com.baomidou.mybatisplus.annotation.TableLogic;
import lombok.*;

import java.math.BigDecimal;
import java.time.LocalDate;

/**
 * 用户绩效项命中记录
 *
 * @author : kurisu
 * @version : 1.0
 * @className : KpiIndicatorHitLog
 * @description : 用户绩效项命中记录
 * @date : 2022-05-19 10:47
 */
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
@EqualsAndHashCode(callSuper = true)
public class KpiIndicatorHitLog extends BaseAuditableTimeEntity<KpiIndicatorHitLog, Long> {
    /**
     * 绩效池id
     */
    private Long kpiPoolId;
    /**
     * 绩效项id
     */
    private Long kpiGroupIndicatorId;
    /**
     * 命中的绩效配置项
     */
    private Long kpiGroupIndicatorLaddersId;
    /**
     * 薪酬值
     */
    private BigDecimal kpiValue;
    /**
     * 数据日期
     */
    private LocalDate dataDate;
    /**
     * 集团id
     */
    private Long groupId;
    /**
     * 逻辑删除
     */
    @TableLogic
    private Boolean yn;
}
