package cn.fw.morax.domain.db.salary;

import cn.fw.common.data.entity.BaseAuditableTimeEntity;
import cn.fw.common.data.mybatis.handler.LongListTypeHandler;
import cn.fw.common.data.mybatis.handler.StringListTypeHandler;
import cn.fw.morax.domain.enums.SettingStatusEnum;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.time.LocalDate;
import java.util.List;

/**
 * @author : kurisu
 * @date : 2022-4-6
 * @desc : 薪酬组配置
 */
@Data
@TableName(autoResultMap = true)
@EqualsAndHashCode(callSuper = true)
public class SalaryGroup extends BaseAuditableTimeEntity<SalaryGroup, Long> {
    /**
     * 名称
     */
    private String name;
    /**
     * 薪酬组编码
     */
    private String sgc;
    /**
     * 岗位id
     */
    private Long postId;

    /**
     * 岗位名称
     */
    private String postName;

    /**
     * 适用门店ids
     */
    @TableField(typeHandler = LongListTypeHandler.class)
    private List<Long> shopIds;

    /**
     * 适用门店名称
     */
    @TableField(typeHandler = StringListTypeHandler.class)
    private List<String> shopNames;

    /**
     * 前次配置id
     */
    private Long preId;

    /**
     * 生效时间
     */
    private LocalDate beginTime;

    /**
     * 失效时间
     */
    private LocalDate overTime;

    /**
     * 调整原因
     */
    private String reason;

    /**
     * 附件ids
     */
    @TableField(typeHandler = StringListTypeHandler.class)
    private List<String> attachment;

    /**
     * 状态;1:审批中 2:待生效 3:生效中 4:已失效
     */
    private SettingStatusEnum status;

    /**
     * 包薪酬项数量;只统计可配置的的项目数
     */
    private Integer projectNum;

    /**
     * 集团id
     */
    private Long groupId;

    /**
     * 逻辑删除
     */
    private Boolean yn;
}