package cn.fw.morax.domain.db.salary;

import cn.fw.common.data.entity.BaseAuditableTimeEntity;
import lombok.*;

import java.time.LocalDate;

/**
 * @author : kurisu
 * @date : 2022-4-6
 * @desc : 薪酬组人员
 */
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
@EqualsAndHashCode(callSuper = true)
public class SalaryGroupUser extends BaseAuditableTimeEntity<SalaryGroupUser, Long> {
    /**
     * 薪酬组编码
     */
    private String sgc;
    /**
     * 薪酬组id
     */
    private Long salaryGroupId;
    /**
     * 人员id
     */
    private Long userId;
    /**
     * 人员名称
     */
    private String userName;
    /**
     * 岗位码
     */
    private Long postId;
    /**
     * 岗位名称
     */
    private String postName;
    /**
     * 门店id
     */
    private Long shopId;
    /**
     * 门店名称
     */
    private String shopName;
    /**
     * 是否是试用人员
     */
    private Boolean probationer;
    /**
     * 冻结状态
     */
    private Boolean frozen;
    /**
     * 数据日期
     */
    private LocalDate dataDate;
    /**
     * 集团id
     */
    private Long groupId;
    /**
     * 逻辑删除
     */
    private Boolean yn;
}