package cn.fw.morax.domain.db.salary;

import cn.fw.common.data.entity.BaseAuditableTimeEntity;
import cn.fw.morax.domain.enums.StarLevelEnum;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.math.BigDecimal;
import java.time.YearMonth;

/**
 * @author : kurisu
 * @date : 2022-4-6
 * @desc : 薪酬池
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class SalaryPool extends BaseAuditableTimeEntity<SalaryPool, Long> {
    /**
     * 薪酬组编码
     */
    private String sgc;
    /**
     * 薪酬组id
     */
    private Long salaryGroupId;
    /**
     * 用户id
     */
    private Long userId;
    /**
     * 用户名称
     */
    private String userName;
    /**
     * 岗位码
     */
    private Long postId;
    /**
     * 岗位名称
     */
    private String postName;
    /**
     * 门店id
     */
    private Long shopId;
    /**
     * 门店名称
     */
    private String shopName;
    /**
     * 社保公积金门店id
     */
    private Long fundShopId;
    /**
     * 社保公积金门店名称
     */
    private String fundShopName;
    /**
     * 星级
     */
    private StarLevelEnum starLevel;
    /**
     * 薪资报酬
     */
    private BigDecimal reward;
    /**
     * 月度
     */
    private YearMonth monthly;
    /**
     * 固定的
     */
    private Boolean regular;
    /**
     * 签名文件
     */
    private String signatureFile;
    /**
     * 是否已发放
     */
    private Boolean paid;
    /**
     * 集团id
     */
    private Long groupId;
    /**
     * 逻辑删除
     */
    private Boolean yn;
}