package cn.fw.morax.domain.db.salary;

import cn.fw.common.data.entity.BaseAuditableTimeEntity;
import com.baomidou.mybatisplus.annotation.TableLogic;
import lombok.*;

import java.math.BigDecimal;
import java.time.LocalDate;

/**
 * 用户薪酬项命中记录
 *
 * @author : kurisu
 * @version : 1.0
 * @className : SalaryProjectHitLog
 * @description : 用户薪酬项命中记录
 * @date : 2022-05-19 10:47
 */
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
@EqualsAndHashCode(callSuper = true)
public class SalaryProjectHitLog extends BaseAuditableTimeEntity<SalaryProject, Long> {
    /**
     * 薪酬池id
     */
    private Long salaryPoolId;
    /**
     * 薪酬项id
     */
    private Long salaryProjectId;
    /**
     * 命中的薪酬配置项
     */
    private Long salaryGroupProjectSettinId;
    /**
     * 薪酬值
     */
    private BigDecimal salaryValue;
    /**
     * 数据日期
     */
    private LocalDate dataDate;
    /**
     * 集团id
     */
    private Long groupId;
    /**
     * 逻辑删除
     */
    @TableLogic
    private Boolean yn;
}
