package cn.fw.morax.domain.db.salary;

import cn.fw.common.data.entity.BaseAuditableTimeEntity;
import cn.fw.morax.domain.enums.SalaryValueTypeEnum;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.time.LocalDate;

/**
 * @author : kurisu
 * @date : 2022-4-6
 * @description : 薪酬提成原始数据
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class SalaryRawData extends BaseAuditableTimeEntity<SalaryRawData, Long> {
    /**
     * 薪酬项编码
     */
    private String salaryProjectCode;
    /**
     * 薪酬项具体值;jons字符串 map类型
     */
    private String salaryProjectValue;
    /**
     * 类型;1: 百分比 2:数量 3:条件值 4:金额 5:工龄
     */
    private SalaryValueTypeEnum valueType;
    /**
     * 数据日期
     */
    private LocalDate dataDate;
    /**
     * 人员id
     */
    private Long userId;
    /**
     * 集团id
     */
    private Long groupId;
    /**
     * 逻辑删除
     */
    private Boolean yn;
}