package cn.fw.morax.domain.dto;

import cn.fw.common.data.mybatis.handler.StringListTypeHandler;
import cn.fw.common.web.annotation.LoginContextField;
import cn.fw.morax.domain.enums.StarLevelEnum;
import cn.fw.morax.domain.enums.StartingKpiDateEnum;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import org.hibernate.validator.constraints.Length;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.time.YearMonth;
import java.util.List;

/**
 * @author : kurisu
 * @date : 2022-4-6
 * @desc : 绩效星级特殊规则
 */
@Data
@TableName(autoResultMap = true)
public class KpiStarSpecialRuleDTO {
    /**
     * 人员id
     */
//    @LoginContextField(LoginContextField.Name.USER_ID)
    @NotNull(message = "申请人id不能为空")
    private Long userId;

    /**
     * 人员名称
     */
//    @LoginContextField(LoginContextField.Name.USER_NAME)
    @NotNull(message = "申请人名称不能为空")
    private String userName;

    /**
     * 开始考核日期
     */
    private StartingKpiDateEnum startingKpiEnum;

    /**
     * 修正月度
     */
    private YearMonth revisedMonthly;

    /**
     * 修正星级;1: A 2:B 3:C 4:D
     */
    private StarLevelEnum revisedLevel;

    /**
     * 排除月度
     */
    private Boolean exclusionLastMonth;

    /**
     * 免除次数;免除D级次数
     */
    private Integer revokedTimes;

    /**
     * 原因
     */
    @NotBlank(message = "调整原因不能为空")
    @Length(max = 255, message = "调整原因超出最大限制")
    private String reason;
    /**
     * 附件;fid逗号隔开
     */
    @TableField(typeHandler = StringListTypeHandler.class)
    private List<String> attachment;
    /**
     * 集团id
     */
    @LoginContextField(LoginContextField.Name.GROUP_ID)
    private Long groupId;

}