package cn.fw.morax.domain.dto;

import cn.fw.morax.domain.enums.ExtraSalaryTypeEnum;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

/**
 * @author : kurisu
 * @version : 1.0
 * @className : SalaryExtraDTO
 * @description : 额外薪酬项
 * @date : 2022-04-24 16:26
 */
@Data
public class SalaryExtraDTO {

    /**
     * 用户id
     */
    private Long userId;
    /**
     * 金额
     */
    private BigDecimal money;
    /**
     * 薪酬项类型
     */
    private ExtraSalaryTypeEnum salaryType;
    /**
     * 业务id
     */
    private String dataId;
    /**
     * 业务名称
     */
    private String dataName;
    /**
     * 产生时间
     */
    private Date dataDate;
    /**
     * 岗位id
     */
    private Long postId;
    /**
     * 在职门店id
     */
    private Long shopId;
    /**
     * 是否需要及时处理
     * 为'真'时会立即推送给财务，否则会并入工资里结算
     */
    private Boolean timely;
}
