package cn.fw.morax.domain.dto;

import cn.fw.morax.domain.enums.SalaryCalMethodEnum;
import lombok.Data;
import org.hibernate.validator.constraints.Length;

import javax.validation.Valid;
import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;
import java.util.List;

/**
 * @author : kurisu
 * @date : 2022-4-6
 * @desc : 薪酬组薪酬项目
 */
@Data
public class SalaryGroupProjectDTO {
    /**
     * 薪酬项目id
     */
    @NotNull(message = "薪酬项目id不能为空")
    private Long salaryProjectId;

    /**
     * 薪酬项目编码
     */
    @NotBlank(message = "薪酬项目编码不能为空")
    @Length(max = 32, message = "薪酬项目编码超出最大长度限制")
    private String salaryProjectCode;

    /**
     * 薪酬项目名称
     */
    @NotBlank(message = "薪酬项目名称不能为空")
    private String salaryProjectName;

    /**
     * 计算方式;1: 星级 2:固定金额 3:阶梯(单) 4:按量 5: 固定提成 6:阶梯(总) 7:动态
     */
    @NotNull(message = "计算方式不能为空")
    private SalaryCalMethodEnum calMethod;

    /**
     * 薪酬项配置
     */
    @NotEmpty(message = "薪酬项配置不能为空")
    @Valid
    private List<SalaryGroupProjectSettinDTO> settings;
}