package cn.fw.morax.domain.vo.salary;

import cn.fw.morax.domain.enums.SalaryCalMethodEnum;
import cn.fw.morax.domain.enums.SalaryTypeEnum;
import lombok.Data;

import java.math.BigDecimal;

/**
 * @author : kurisu
 * @version : 1.0
 * @className : IncomeProjectVO
 * @description : 收入项
 * @date : 2022-05-05 16:52
 */
@Data
public class IncomeProjectVO {
    /**
     * 薪酬组薪酬项目id
     */
    private Long salaryProjectGroupId;
    /**
     * 薪酬项id
     */
    private Long salaryProjectId;
    /**
     * 薪酬项名称
     */
    private String salaryProjectName;
    /**
     * 薪酬项编码
     */
    private String salaryProjectCode;
    /**
     * 项目类型  1:绩效提成 2:内部奖励 3:内部罚款 4:福利补贴 5:社保扣款 6:试用期工资
     */
    private SalaryTypeEnum salaryType;
    /**
     * 计算方式;1: 星级 2:固定金额 3:阶梯(单) 4:按量 5: 固定提成 6:阶梯(总) 7:动态
     */
    private SalaryCalMethodEnum calMethod;
    /**
     * 总金额
     */
    private BigDecimal totalAmount;
    /**
     * 已发放金额
     */
    private BigDecimal sendAmount;
    /**
     * 未发金额
     */
    private BigDecimal noSendAmount;

    /**
     * 款项类型描述
     *
     * @return
     */
    public String getSalaryTypeDesc() {
        return salaryType.getName();
    }

}
