package cn.fw.morax.domain.vo.salary;


import cn.fw.morax.domain.enums.SalaryTypeEnum;
import lombok.Data;

import java.math.BigDecimal;
import java.util.List;

/**
 * @author : jiangchao
 * @date : 2022-5-25
 * @desc : 薪资类型
 */
@Data
public class IncomeVO {

    /**
     * 项目类型  1:绩效提成 2:内部奖励 3:内部罚款 4:福利补贴 5:社保扣款 6:试用期工资
     */
    private SalaryTypeEnum salaryType;

    /**
     * 总额
     */
    private BigDecimal salaryTypeAmount;

    /**
     * 收入
     */
    private List<IncomeProjectVO> details;

    public IncomeVO() {
    }

    public IncomeVO(SalaryTypeEnum salaryType, BigDecimal salaryTypeAmount, List<IncomeProjectVO> details) {
        this.salaryType = salaryType;
        this.salaryTypeAmount = salaryTypeAmount;
        this.details = details;
    }
}
