package cn.fw.morax.domain.vo.salary;

import cn.fw.common.data.entity.BaseAuditableTimeEntity;
import cn.fw.morax.domain.enums.SalaryConfirmStatusEnum;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.math.BigDecimal;
import java.time.LocalDateTime;

/**
 * @author : kurisu
 * @date : 2022-4-6
 * @desc : 薪酬确认记录
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class SalaryConfirmVO extends BaseAuditableTimeEntity<SalaryConfirmVO, Long> {

    /**
     * 薪酬池id
     */
    private Long salaryPoolId;
    /**
     * 用户id
     */
    private Long userId;
    /**
     * 计划推送待办时间
     */
    private LocalDateTime planTime;
    /**
     * 是否推送代办
     */
    private Boolean pushedTodo;
    /**
     * 待办编码
     */
    private String todoCode;
    /**
     * 截止日期
     */
    private LocalDateTime deadline;
    /**
     * 确认状态;1:待定 2:已确认 3:已取消
     */
    private SalaryConfirmStatusEnum confirmedStatus;
    /**
     * 确认时间
     */
    private LocalDateTime confirmTime;
    /**
     * 是否本人确认
     */
    private Boolean selfConfirm;
    /**
     * 集团id
     */
    private Long groupId;
    /**
     * 逻辑删除
     */
    private Boolean yn;
    /**
     * 薪资报酬
     */
    private BigDecimal reward;
}