package cn.fw.morax.domain.vo.salary;

import lombok.Data;

import java.math.BigDecimal;

/**
 * @author : kurisu
 * @date : 2022-4-6
 * @desc : 薪酬项目配置
 */
@Data
public class SalaryGroupProjectSettinVO {
    /**
     * 主键id
     */
    private Long id;
    /**
     * 薪酬项目配置id
     */
    private Long salaryGroupProjectId;
    /**
     * 用户薪酬项命中记录id
     */
    private Long salaryProjectHitLogId;
    /**
     * 阶梯key;新车销售按车系计算是 对应车系id其他则为绩效项id
     */
    private Long stairKey;
    /**
     * 阶梯key对应描述
     */
    private String stairKeyDesc;
    /**
     * 计算相关值
     */
    private BigDecimal stairValue;
    /**
     * 阶梯值下限
     */
    private Integer stairMin;
    /**
     * 阶梯值上限;阶梯值上限
     */
    private Integer stairMax;

    /**
     * 是否命中
     */
    private Boolean hit;

    /**
     * 业务值 条件计算使用
     */
    private BigDecimal conditionValue;

    /**
     * 业务薪酬金额 条件计算使用
     */
    private BigDecimal conditionSalaryValue;
}