package cn.fw.morax.domain.vo.salary;

import cn.fw.common.data.entity.BaseAuditableTimeEntity;
import cn.fw.morax.domain.enums.SalaryCalMethodEnum;
import cn.fw.morax.domain.enums.SalaryTypeEnum;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.math.BigDecimal;
import java.time.LocalDate;

/**
 * @author : kurisu
 * @date : 2022-4-6
 * @desc : 薪资明细
 */
@Data
public class SalaryPoolDetailVO {
    /**
     * 薪酬池id
     */
    private Long salaryPoolId;
    /**
     * 薪酬项id
     */
    private Long salaryProjectId;
    /**
     * 薪酬组薪酬项目id
     */
    private Long salaryProjectGroupId;
    /**
     * 薪酬项名称
     */
    private String salaryProjectName;
    /**
     * 薪酬项编码
     */
    private String salaryProjectCode;
    /**
     * 计算方式;1: 星级 2:固定金额 3:阶梯(单) 4:按量 5: 固定提成 6:阶梯(总) 7:动态
     */
    private SalaryCalMethodEnum calMethod;
    /**
     * 薪资类型
     */
    private SalaryTypeEnum type;
    /**
     * 预计收入
     */
    private BigDecimal salaryAmount;
    /**
     * 已处理金额
     */
    private BigDecimal processedAmount;
    /**
     * 实际收入
     */
    private BigDecimal actualSalaryAmount;
    /**
     * 薪资日期
     */
    private LocalDate salaryDate;
    /**
     * 集团id
     */
    private Long groupId;
}