package cn.fw.morax.domain.vo.salary;

import cn.fw.morax.domain.enums.StarLevelEnum;
import lombok.Data;

import java.math.BigDecimal;
import java.time.YearMonth;
import java.util.Objects;

/**
 * @author : kurisu
 * @version : 1.0
 * @className : SalaryPoolVO
 * @description : 薪酬池
 * @date : 2022-05-05 11:42
 */
@Data
public class SalaryPoolVO {
    private Long id;
    /**
     * 用户id
     */
    private Long userId;
    /**
     * 用户名称
     */
    private String userName;
    /**
     * 岗位码
     */
    private Long postId;
    /**
     * 岗位名称
     */
    private String postName;
    /**
     * 门店id
     */
    private Long shopId;
    /**
     * 门店名称
     */
    private String shopName;
    /**
     * 星级
     */
    private Integer starLevel;
    /**
     * 薪资报酬
     */
    private BigDecimal reward;
    /**
     * 月度
     */
    private YearMonth monthly;
    /**
     * 集团id
     */
    private Long groupId;

    /**
     * 星级描述
     *
     * @return 星级显示文字
     */
    public String getStarLevelDesc() {
        StarLevelEnum levelEnum = StarLevelEnum.ofValue(starLevel);
        if (Objects.isNull(levelEnum)) {
            return null;
        }
        return levelEnum.getName();
    }
}
