package cn.fw.morax.domain.vo.salary;

import cn.fw.morax.common.annotation.ExcelField;
import cn.fw.morax.common.utils.ExcelDataUtil;
import cn.fw.morax.domain.enums.StarLevelEnum;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;

import java.math.BigDecimal;
import java.time.YearMonth;

@Data
public class StaffSalaryDetailVO {

    /**
     * 用户id
     */
    private Long id;

    /**
     * 用户id
     */
    private Long userId;

    /**
     * 薪酬组id
     */
    private Long salaryGroupId;

    /**
     * 岗位码
     */
    private Long postId;
    /**
     * 岗位名称
     */
    private String postName;

    /**
     * 门店id
     */
    private Long shopId;

    /**
     * 星级
     */
    private StarLevelEnum starLevel;

    /**
     * 用户名称
     */
    @ExcelField(title = "人员", sort = 0)
    private String userName;

    /**
     * 门店名称
     */
    @ExcelField(title = "在职门店", sort = 1)
    private String shopName;

    /**
     * 月度
     */
//    @ExcelField(title = "月度", sort = 2)
    private YearMonth monthly;
    /**
     * 月度
     */
    @ExcelField(title = "月度", sort = 2)
    private String monthlyStr;

    /**
     * 本月薪资
     */
    @ExcelField(title = "薪资总额", sort = 3)
    private BigDecimal wages;

    /**
     * 福利补贴
     */
    @ExcelField(title = "福利补贴", sort = 4)
    private BigDecimal subsidy;

    /**
     * 社保扣款
     */
    @ExcelField(title = "社保扣款", sort = 5)
    private BigDecimal necessary;

    /**
     * 绩效提成
     */
    @ExcelField(title = "绩效提成", sort = 6)
    private BigDecimal royalties;

    /**
     * 内部奖励
     */
    @ExcelField(title = "内部奖励", sort = 7)
    private BigDecimal award;

    /**
     * 内部罚款
     */
    @ExcelField(title = "内部罚款", sort = 8)
    private BigDecimal penalty;

}
