package cn.fw.morax.sdk.dto.kpi;

import lombok.Data;

import java.math.BigDecimal;
import java.util.List;

/**
 * @author : kurisu
 * @version : 1.0
 * @className : KpiGroupUserResult
 * @description : 绩效组人员结果集
 * @date : 2022-04-11 16:12
 */
@Data
public class KpiGroupUserResult {
    /**
     * 该绩效组人员列表
     */
    private List<SimpleUserData> userIdList;
    /**
     * 该绩效指标包含角色合集
     */
    private List<String> roleCodeList;

    /**
     * 绩效目标值类型; 1:无 2:百分比 3:金额
     */
    private TargetTypeEnum targetType;
    /**
     * 绩效目标值
     */
    private BigDecimal targetValue;
    /**
     * @author : kurisu
     * @version : 1.0
     * @className : SimpleUserData
     * @description : 绩效组人员信息
     * @date : 2022-04-11 16:12
     */
    @Data
    public static class SimpleUserData {
        /**
         * 人员id
         */
        private Long userId;
        /**
         * 人员名称
         */
        private String userName;
        /**
         * 在职门店id
         */
        private Long shopId;
        /**
         * 在职门店名称
         */
        private String shopName;
    }
}

