package cn.fw.morax.sdk.dto.kpi;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.validation.constraints.Min;
import javax.validation.constraints.NotNull;
import java.math.BigDecimal;
import java.util.Date;

/**
 * @author : kurisu
 * @version : 1.0
 * @className : KpiPointRewardReq
 * @description : 绩效分奖惩requst
 * @date : 2022-04-24 10:45
 */
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class KpiPointRewardReq {
    /**
     * 用户id
     */
    @NotNull(message = "用户id不能为空")
    private Long userId;
    /**
     * 岗位id
     */
    @NotNull(message = "岗位不能为空")
    private Long postId;
    /**
     * 在职门店id
     */
    @NotNull(message = "在职门店不能为空")
    private Long shopId;
    /**
     * 数据产生时间
     */
    @NotNull(message = "数据产生时间不能为空")
    private Date dataTime;
    /**
     * 奖惩分数
     */
    @NotNull(message = "奖惩分数不能为空")
    @Min(value = 0, message = "奖惩分数不能小于0")
    private BigDecimal scorePoint;
    /**
     * 集团id
     */
    @NotNull(message = "集团id不能为空")
    private Long groupId;

    /**
     * 是否是奖励
     * 为'真'时会加上分数，否则会减去对应分数
     * 为空按'假'处理
     */
    private Boolean award;
}
