package cn.fw.morax.sdk.dto.salary;

import lombok.Data;

import javax.validation.constraints.Min;
import javax.validation.constraints.NotNull;
import javax.validation.constraints.Past;
import java.math.BigDecimal;
import java.util.Date;

/**
 * @author : kurisu
 * @version : 1.0
 * @className : GeneralSalaryProjectReq
 * @description : 社保扣款项
 * @date : 2022-04-24 15:36
 */
@Data
public class GeneralSalaryProjectReq {
    /**
     * 用户id
     */
    @NotNull(message = "用户id不能为空")
    private Long userId;
    /**
     * 岗位id
     */
    @NotNull(message = "岗位不能为空")
    private Long postId;
    /**
     * 在职门店id
     */
    @NotNull(message = "在职门店不能为空")
    private Long shopId;
    /**
     * 数据产生时间
     */
    @NotNull(message = "数据产生时间不能为空")
    @Past(message = "数据产生时间必须为过去的时间")
    private Date dataTime;
    /**
     * 金额
     */
    @NotNull(message = "金额不能为空")
    @Min(value = 0, message = "金额不能小于0")
    private BigDecimal amount;

    /**
     * 业务id
     * 查询详情是使用
     */
    private String dataId;

    /**
     * 款项描述
     */
    private String dataName;
}
