package cn.fw.morax.sdk.dto.salary;

import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.math.BigDecimal;

/**
 * @author : kurisu
 * @version : 1.0
 * @className : SalaryValueDTO
 * @description : 薪酬项dto
 * @date : 2022-04-24 14:32
 */
@Data
public class SalaryValueDTO {
    /**
     * key值
     * 绩效值类型为{@link  SalaryValueEnum#CONDITION} 的情况填对应关键的id
     * 其他情况则与薪酬码保持一致
     */
    @NotBlank(message = "薪酬项key值不能为空")
    private String key;

    @NotNull(message = "薪酬项对应值不能为空")
    private BigDecimal value;
}
