package cn.fw.morax.service.biz.calculator.kpi;

import cn.fw.morax.domain.db.kpi.KpiGroupIndicator;
import cn.fw.morax.domain.db.kpi.KpiPoolIndicatorValue;
import cn.fw.morax.domain.enums.ScoreWayEnum;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Component;

import java.math.BigDecimal;
import java.util.Optional;

/**
 * @author : kurisu
 * @version : 1.0
 * @className : NormalCalculator
 * @description : 通用计算器
 * @date : 2022-04-18 11:46
 */
@Component
@Slf4j
public class NormalCalculator extends KpiAbsBaseCalculator {
    @Override
    public ScoreWayEnum getCalMethod() {
        return ScoreWayEnum.NORMAL;
    }

    @Override
    public BigDecimal calculate(KpiPoolIndicatorValue indicatorValue, KpiGroupIndicator groupIndicator) {
        BigDecimal baseScore = Optional.ofNullable(groupIndicator.getBaseScore()).map(BigDecimal::valueOf).orElse(BigDecimal.ZERO);
        BigDecimal value = Optional.ofNullable(indicatorValue.getIndicatorValue()).orElse(BigDecimal.ZERO);
        BigDecimal res = baseScore.multiply(value);
        if (res.compareTo(baseScore) > 0) {
            return baseScore;
        }
        return res;
    }
}
