package cn.fw.morax.service.data.kpi;

import cn.fw.morax.domain.db.kpi.KpiGroupRank;
import cn.fw.morax.domain.dto.query.KpiGroupRankQueryDTO;
import cn.fw.morax.domain.dto.query.KpiPoolQueryDTO;
import cn.fw.morax.domain.vo.kpi.KpiGroupRankVO;
import cn.fw.morax.domain.vo.kpi.KpiPoolVO;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

public interface KpiGroupRankService extends IService<KpiGroupRank> {

    /**
     * 查询绩效组排名总条数
     *
     * @param dto
     * @return
     */
    long queryPageRankTotal(KpiGroupRankQueryDTO dto);

    /**
     * 绩效组排名分页查询
     *
     * @param dto
     * @return
     */
    List<KpiGroupRankVO> queryPageRank(KpiGroupRankQueryDTO dto);

    /**
     * 通过kgc查询绩效组排名
     *
     * @param kgcs
     * @return
     */
    List<KpiGroupRankVO>  queryByKgcs(List<String> kgcs, Long filterId);
}
