package cn.fw.morax.service.data.kpi;

import cn.fw.morax.domain.db.kpi.KpiIndicatorHitLog;
import cn.fw.morax.domain.db.salary.SalaryProjectHitLog;
import com.baomidou.mybatisplus.extension.service.IService;

import java.time.LocalDate;
import java.util.List;

/**
 * 用户薪酬命中记录
 *
 * @author : kurisu
 * @version : 1.0
 * @className : SalaryProjectHitLogService
 * @description : 用户薪酬命中记录
 * @date : 2022-05-19 10:51
 */
public interface KpiIndicatorHitLogService extends IService<KpiIndicatorHitLog> {


    /**
     * 保存数据存在则覆盖
     *
     * @param kpiIndicatorHitLog
     */
    void saveUnique(KpiIndicatorHitLog kpiIndicatorHitLog);

    /**
     * 根据绩效池id、绩效id查询
     *
     * @param kpiPoolId
     * @param indicatorIds
     * @param localDate
     * @return
     */
    List<KpiIndicatorHitLog> queryByIndicatorIds(Long kpiPoolId, List<Long> indicatorIds, LocalDate localDate);

}
