package cn.fw.morax.service.data.kpi.impl;

import cn.fw.morax.dao.kpi.KpiIndicatorHitLogDao;
import cn.fw.morax.domain.db.kpi.KpiIndicatorHitLog;
import cn.fw.morax.service.data.kpi.KpiIndicatorHitLogService;
import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import lombok.AllArgsConstructor;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Service;

import java.time.LocalDate;
import java.util.List;
import java.util.Objects;

@Service
@Slf4j
@AllArgsConstructor
public class KpiIndicatorHitLogServiceImpl extends ServiceImpl<KpiIndicatorHitLogDao, KpiIndicatorHitLog> implements KpiIndicatorHitLogService {

    @Override
    public void saveUnique(KpiIndicatorHitLog kpiIndicatorHitLog) {
        Long kpiPoolId = kpiIndicatorHitLog.getKpiPoolId();
        Long kpiIndicatorId = kpiIndicatorHitLog.getKpiGroupIndicatorId();
        LocalDate dataDate = kpiIndicatorHitLog.getDataDate();
        KpiIndicatorHitLog hitLog = this.getOne(Wrappers.<KpiIndicatorHitLog>lambdaQuery()
                .eq(KpiIndicatorHitLog::getKpiPoolId, kpiPoolId)
                .eq(KpiIndicatorHitLog::getKpiGroupIndicatorId, kpiIndicatorId)
                .eq(KpiIndicatorHitLog::getDataDate, dataDate)
                .eq(KpiIndicatorHitLog::getYn, Boolean.TRUE)
        );
        if (Objects.nonNull(hitLog)) {
            kpiIndicatorHitLog.setId(hitLog.getId());
        }
        this.saveOrUpdate(kpiIndicatorHitLog);
    }

    @Override
    public List<KpiIndicatorHitLog> queryByIndicatorIds(Long kpiPoolId, List<Long> indicatorIds, LocalDate localDate) {
        return this.list(Wrappers.<KpiIndicatorHitLog>lambdaQuery()
                .eq(KpiIndicatorHitLog::getKpiPoolId, kpiPoolId)
                .in(KpiIndicatorHitLog::getKpiGroupIndicatorId, indicatorIds)
                .eq(KpiIndicatorHitLog::getYn, Boolean.TRUE)
                .eq(KpiIndicatorHitLog::getDataDate, localDate)
        );
    }

}
