package cn.fw.morax.service.data.kpi.impl;

import cn.fw.common.data.mybatis.pagination.PageData;
import cn.fw.common.page.AppPage;
import cn.fw.morax.dao.kpi.KpiPoolDao;
import cn.fw.morax.domain.db.kpi.KpiPool;
import cn.fw.morax.domain.dto.query.KpiPoolQueryDTO;
import cn.fw.morax.domain.vo.kpi.KpiPoolVO;
import cn.fw.morax.service.data.kpi.KpiPoolService;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;
import java.util.Optional;

/**
 * @author : kurisu
 * @version : 1.0
 * @className : KpiPoolServiceImpl
 * @description : 绩效池
 * @date : 2022-04-14 11:28
 */
@Service
public class KpiPoolServiceImpl extends ServiceImpl<KpiPoolDao, KpiPool> implements KpiPoolService {

    @Transactional(rollbackFor = Exception.class)
    @Override
    public boolean save(KpiPool entity) {
        return super.save(entity);
    }

    @Override
    public List<KpiPoolVO> queryPagePool(KpiPoolQueryDTO dto) {
        Integer pageSize = dto.getPageSize();
        Integer current = dto.getCurrent();
        int startIndex = (current.equals(0) ? 0 : (current - 1) * pageSize);
        return this.getBaseMapper().queryPagePool(dto, startIndex, pageSize);
    }

    @Override
    public long queryPagePoolTotal(KpiPoolQueryDTO dto) {
        return Optional.ofNullable(this.getBaseMapper().queryPagePoolTotal(dto)).orElse(0L);
    }
}
