package cn.fw.morax.service.data.salary;

import cn.fw.morax.domain.db.salary.SalaryProjectHitLog;
import com.baomidou.mybatisplus.extension.service.IService;

import java.time.LocalDate;
import java.util.List;

/**
 * 用户薪酬命中记录
 *
 * @author : kurisu
 * @version : 1.0
 * @className : SalaryProjectHitLogService
 * @description : 用户薪酬命中记录
 * @date : 2022-05-19 10:51
 */
public interface SalaryProjectHitLogService extends IService<SalaryProjectHitLog> {
    /**
     * 保存数据存在则覆盖
     *
     * @param salaryProjectHitLog
     */
    void saveUnique(SalaryProjectHitLog salaryProjectHitLog);

    /**
     * 根据薪酬池id、薪酬项目id查询
     *
     * @param salaryPoolId
     * @param salaryProjectIds
     * @return
     */
    List<SalaryProjectHitLog> queryByProjectIds(Long salaryPoolId, List<Long> salaryProjectIds, LocalDate dataDate);
}
