package cn.fw.morax.service.data.salary.impl;

import cn.fw.morax.dao.salary.SalaryPoolDao;
import cn.fw.morax.domain.db.salary.SalaryPool;
import cn.fw.morax.domain.dto.query.SalaryPoolQueryDTO;
import cn.fw.morax.domain.vo.salary.SalaryPoolVO;
import cn.fw.morax.service.data.salary.SalaryPoolService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Service;

import java.time.YearMonth;
import java.util.List;
import java.util.Optional;


/**
 * @author : kurisu
 * @className : SalaryPoolServiceImpl
 * @description : 薪酬池
 * @date : 2022-04-06 17:05
 */
@Service
@Slf4j
public class SalaryPoolServiceImpl extends ServiceImpl<SalaryPoolDao, SalaryPool> implements SalaryPoolService {
    @Override
    public List<SalaryPoolVO> queryPagePool(SalaryPoolQueryDTO query) {
        Integer pageSize = query.getPageSize();
        Integer current = query.getCurrent();
        int startIndex = (current.equals(0) ? 0 : (current - 1) * pageSize);
        return this.getBaseMapper().queryPagePool(query, startIndex, pageSize);
    }

    @Override
    public long queryPagePoolTotal(SalaryPoolQueryDTO query) {
        return Optional.ofNullable(this.getBaseMapper().queryPagePoolTotal(query)).orElse(0L);
    }

    @Override
    public List<SalaryPool> queryStaffMultiPools(YearMonth yearMonth) {
        return this.getBaseMapper().queryStaffMultiPools(yearMonth);
    }

    @Override
    public List<SalaryPool> queryStaffPools(YearMonth yearMonth) {
        return this.getBaseMapper().queryStaffPools(yearMonth);
    }
}
